summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/ctorrent/ctorrent.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/network/ctorrent/ctorrent.SlackBuild b/network/ctorrent/ctorrent.SlackBuild
index d8854f728b..87685d7704 100644
--- a/network/ctorrent/ctorrent.SlackBuild
+++ b/network/ctorrent/ctorrent.SlackBuild
@@ -83,12 +83,8 @@ cp -a $DOCS $PKG/usr/doc/$PRGNAM-$PKGVERSION || true
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$PKGVERSION/$PRGNAM.SlackBuild
# Strip binaries
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Add the slack-desc:
mkdir -p $PKG/install